Bug 234927 - e1000 fails with 2.6.9-42 kernel
e1000 fails with 2.6.9-42 kernel
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Andy Gospodarek
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-04-02 17:29 EDT by Chris Howard
Modified: 2014-06-29 18:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-03 15:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Howard 2007-04-02 17:29:00 EDT
Description of problem:

I'm running a Dell PowerEdge 2850 that came pre-installed with Red Hat
Enterprise 4.  I run up2date and get the latest kernel from Red Hat Network.
If I attempt to use the newer kernels, my network cards are not found.

Version-Release number of selected component (if applicable):
2.6.9-42.0.3.ELsmp  (for example)

How reproducible:  Every time

Steps to Reproduce:
1.  boot with new kernel
2.  kaboom
Actual results: No network

Expected results: Functioning network

Additional info:
lspci says my network cards are:
06:07.0 Ethernet controller: Intel Corporation 82541GI/PI Gigabit Ethernet
Controller (rev 05)
07:08.0 Ethernet controller: Intel Corporation 82541GI/PI Gigabit Ethernet
Controller (rev 05)

I have three such devices, two are built-in network ports and one
is a card.  They all report as the same type.

When they work (with the older kernel), the driver name is e1000.
The working kernel version is:
2.6.9-5.ELsmp #1 SMP Wed Jan 5 19:30:39 EST 2005 i686 i686 i386 GNU/Linux

With newer kernels I get this message in my messages file:

 ifup: Device eth0 has different MAC address than expected, ignoring.
 network: Bringing up interface eth0:  failed

I also see messages like this:
 kernel: e1000: version magic '2.6.9-42.0.3.ELsmp SMP 686 REGPARM 4KSTACKS
gcc-3.2' should be '2.6.9-42.0.3.ELsmp SMP 686 REGPARM 4KSTACKS gcc-3.4'

To the best of my understanding, I do _not_ have eth0 pinned to a specific MAC
address.  The e1000 module doesn't appear in my lsmod list, and of course the
network doesn't start and network-dependent system functions don't work.

I have other kernels installed besides 2.6.9-42.x.y.z  and I have not
tested them all.  The network cards do work with my originally installed
Comment 1 Chris Howard 2007-04-03 12:40:08 EDT
I tested with more of the kernel versions available on this machine

2.6.9-42.0.3.ELsmp  - not working
2.6.9-42.0.2.ELsmp  - not working
2.6.9-42.ELsmp      - works!      - works!

So, it looks like only the most recent kernels on my system fail to 
work correctly with my network adaptors.

Comment 2 Andy Gospodarek 2007-04-03 14:16:04 EDT
Most likely Dell shipped your system with an e1000 driver that we did not
include.  Dell has application called dkms that does this.

Run 'ethtool -i eth0' on your 2.6.9-42.ELsmp kernel system and post the output
to this bugzilla.  Here is the output on my RHEL4.4 system:

# uname -rv
2.6.9-42.0.3.ELsmp #1 SMP Mon Sep 25 17:24:31 EDT 2006
# ethtool -i eth0 
driver: e1000
version: 7.0.33-k2-NAPI
firmware-version: N/A
bus-info: 0000:03:0e.0

I'd bet your driver version will say something newer than 7.0.33 (which means
you are using a driver provided by Dell).

If you would like to be sure your system will work with the upcoming redhat
kernel release (4.5) you can try my TEST kernels from here (they also have some
other experimental patches):


or you can try these (slightly more stable) BETA kernels:


Comment 3 Chris Howard 2007-04-03 15:09:24 EDT
Andy,   You are completely correct.  By removing the e1000 DKMS package

rpm -e e1000-

I am now able to boot the most recent kernel on my system (2.6.9-42.0.3.ELsmp).

Please let me know if there is something else I need to do to close out this
issue in bugzilla.  


Comment 4 Andy Gospodarek 2007-04-03 15:33:03 EDT

I'll close it out.

Note You need to log in before you can comment on or make changes to this bug.